import codecs
from setuptools import setup, find_packages

setup(
    name='ezipset',
    version='1.0.0',
    description='IPSet is a lightweight and fast Python library for manipulating IPSet rules. No dependencies, pure Python!',
    url='https://github.com/rabuchaim/ezIPSet',
    author='Ricardo Abuchaim',
    author_email='ricardoabuchaim@gmail.com',
    maintainer='Ricardo Abuchaim',
    maintainer_email='ricardoabuchaim@gmail.com',
    project_urls={
        "Issue Tracker": "https://github.com/rabuchaim/ezIPSet/issues",
        "Source code": "https://github.com/rabuchaim/ezIPSet"
    },    
    bugtrack_url='https://github.com/rabuchaim/ezIPSet/issues',    
    license='MIT',
    keywords=['ip','ipset','libipset','libipset.so','ctypes','iptables','ezipset','eziptables','purepython','pure','firewall','rules','tools'],
    packages=find_packages(),
    py_modules=['ezipset', 'ezipset'],
    package_dir = {'ezipset': 'ezipset'},
    include_package_data=True,
    zip_safe = False,
    package_data={
        'ezipset': [
            'CHANGELOG.md', 
            'README.md',            
            'ipset.man.html', 
            'ezipset/__init__.py', 
            'ezipset/ezipset.py', 
            'ezipset/test_ezipset.py',
        ],
    },
    python_requires=">=3.7",    
    install_requires=[],
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Topic :: Security',
        'Topic :: Internet',
        'Topic :: Internet :: Finger',
        'Topic :: Scientific/Engineering',
        'Topic :: System :: Monitoring',
        'Topic :: System :: Networking',
        'Topic :: System :: Systems Administration',
        'Topic :: Software Development :: Libraries',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Topic :: Software Development :: Localization',
        'Topic :: Utilities',
        'Intended Audience :: Developers',
        'Intended Audience :: Information Technology',
        'Intended Audience :: System Administrators',
        'Operating System :: MacOS',
        'Operating System :: Microsoft :: Windows :: Windows 10',
        'Operating System :: Microsoft :: Windows :: Windows 11',
        'Operating System :: Unix',
        'Operating System :: POSIX',
        'Operating System :: POSIX :: Linux',
        'Operating System :: POSIX :: BSD',
        'Operating System :: POSIX :: BSD :: FreeBSD',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',  
        'Programming Language :: Python :: 3.11',
        'Programming Language :: Python :: 3.12',
        'Programming Language :: Python :: 3.13',
        'Programming Language :: Python :: Implementation :: PyPy',
        'License :: OSI Approved :: MIT License',
    ],
    long_description=codecs.open("README.md","r","utf-8").read(),
    long_description_content_type='text/markdown',
)
